#!/usr/bin/env bash

function write_version_file() {
# pull version out of setup.py
version=$(grep version setup.py | sed "s,.*'\(.*\)'.*$,\1,g")
cat <<EOF > edosl0util/version.txt
__version__ = '${version}'
__githash__ = '$(git log --format="%H" | head -n 1)'
__patch__ = """$(git diff)"""
EOF
}

if [ -z $1 ]
then
    echo "USAGE: $0 sdist"
fi

case $1 in
    sdist)
        write_version_file
        python setup.py sdist $@
        ;;
    *)
        python setup.py $@
        ;;
esac
